import{s as Oi,n as Bi,o as Ki}from"../chunks/scheduler.0219f8bd.js";import{S as Ii,i as Ni,g as d,s as o,r as n,A as zi,h as s,f as l,c as r,j as u,u as p,x as c,k as a,y as qi,a as i,v as f,d as m,t as h,w as b}from"../chunks/index.f61edf3b.js";import{H as v,E as Si}from"../chunks/EditOnGithub.48fa589f.js";function Vi(Vl){let T,Se,ze,Ve,y,Ue,$,Ge,x,Ul="Core utility functions/classes for Transformers.js.",Fe,_,Gl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Je,g,Fl='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isNullishDimension"><code>.isNullishDimension(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.pick"><code>.pick(o, props)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.len"><code>.len(s)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.count"><code>.count(arr, value)</code></a></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..ProgressInfo"><code>~ProgressInfo</code></a> : <code>Object</code></li> <li><a href="#module_utils/core..ProgressCallback"><code>~ProgressCallback</code></a> ⇒ <code>void</code></li></ul></li></ul></li>',Qe,We,Xe,H,Ye,L,Ze,C,Jl="Reverses the keys and values of an object.",et,M,Ql='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',tt,P,Wl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",lt,it,ot,A,rt,w,dt,E,Xl="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",st,k,Yl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',ct,j,Zl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",at,ut,nt,R,pt,D,ft,O,ei="Check if a value is a typed array.",mt,B,ti='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',ht,K,li='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',bt,I,ii="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",vt,Tt,yt,N,$t,z,xt,q,oi="Check if a value is an integer.",_t,S,ri='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',gt,V,di="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ht,Lt,Ct,U,Mt,G,Pt,F,si="Determine if a provided width or height is nullish.",At,J,ci='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is <code>null</code>, <code>undefined</code> or <code>-1</code>, false otherwise.',wt,Q,ai="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Et,kt,jt,W,Rt,X,Dt,Y,ui="Calculates the dimensions of a nested array.",Ot,Z,ni='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',Bt,ee,pi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Kt,It,Nt,te,zt,le,qt,ie,fi="Replicate python’s .pop() method for objects.",St,oe,mi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Vt,re,hi="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",Ut,de,bi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",Gt,Ft,Jt,se,Qt,ce,Wt,ae,vi=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Xt,ue,Ti='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Yt,ne,yi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Zt,el,tl,pe,ll,fe,il,me,$i="Calculates the index offset for a given index and window size.",ol,he,xi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',rl,be,_i="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",dl,sl,cl,ve,al,Te,ul,ye,gi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',nl,$e,Hi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>o</td><td><code>Object</code></td> </tr><tr><td>props</td><td><code>Array.&lt;string&gt;</code></td></tr></tbody>",pl,fl,ml,xe,hl,_e,bl,ge,Li=`Calculate the length of a string, taking multi-byte characters into account.
This mimics the behavior of Python’s <code>len</code> function.`,vl,He,Ci='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The length of the string.',Tl,Le,Mi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>s</td><td><code>string</code></td><td><p>The string to calculate the length of.</p></td></tr></tbody>",yl,$l,xl,Ce,_l,Me,gl,Pe,Pi=`Count the occurrences of a value in an array or string.
This mimics the behavior of Python’s <code>count</code> method.`,Hl,Ae,Ai='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',Ll,we,wi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array&lt;any&gt;</code> | <code>string</code></td><td><p>The array or string to search.</p></td> </tr><tr><td>value</td><td><code>any</code></td><td><p>The value to count.</p></td></tr></tbody>",Cl,Ml,Pl,Ee,Al,ke,wl,je,Ei='<strong>Kind</strong>: inner typedef of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Properties</strong>',El,Re,ki="<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>status</td><td><code>&#39;initiate&#39;</code> | <code>&#39;download&#39;</code> | <code>&#39;progress&#39;</code> | <code>&#39;done&#39;</code></td><td><p>The status of the progress item.</p></td> </tr><tr><td>name</td><td><code>string</code></td><td><p>This can be either:</p> <ul><li>a string, the <em>model id</em> of a model repo on huggingface.co.</li> <li>a path to a <em>directory</em> potentially containing the file.</li></ul></td> </tr><tr><td>file</td><td><code>string</code></td><td><p>The name of the file</p></td> </tr><tr><td>[progress]</td><td><code>number</code></td><td><p>A number between 0 and 100. Only available for the &#39;progress&#39; status.</p></td> </tr><tr><td>[loaded]</td><td><code>number</code></td><td><p>The number of bytes loaded. Only available for the &#39;progress&#39; status.</p></td> </tr><tr><td>[total]</td><td><code>number</code></td><td><p>The total number of bytes to be loaded. Only available for the &#39;progress&#39; status.</p></td></tr></tbody>",kl,jl,Rl,De,Dl,Oe,Ol,Be,ji="A callback function that is called with progress information.",Bl,Ke,Ri='<strong>Kind</strong>: inner typedef of <a href="#module_utils/core"><code>utils/core</code></a>',Kl,Ie,Di="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>progressInfo</td><td><code>ProgressInfo</code></td></tr></tbody>",Il,Nl,zl,Ne,ql,qe,Sl;return $=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),w=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),D=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),z=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),G=new v({props:{title:"utils/core.isNullishDimension(x) ⇒ <code> boolean </code>",local:"utilscoreisnullishdimensionx--code-boolean-code",headingTag:"h2"}}),X=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),le=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),ce=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),fe=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),Te=new v({props:{title:"utils/core.pick(o, props) ⇒ <code> Object </code>",local:"utilscorepicko-props--code-object-code",headingTag:"h2"}}),_e=new v({props:{title:"utils/core.len(s) ⇒ <code> number </code>",local:"utilscorelens--code-number-code",headingTag:"h2"}}),Me=new v({props:{title:"utils/core.count(arr, value)",local:"utilscorecountarr-value",headingTag:"h2"}}),ke=new v({props:{title:"utils/core~ProgressInfo : <code> Object </code>",local:"utilscoreprogressinfo--code-object-code",headingTag:"h2"}}),Oe=new v({props:{title:"utils/core~ProgressCallback ⇒ <code> void </code>",local:"utilscoreprogresscallback--code-void-code",headingTag:"h2"}}),Ne=new Si({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/utils/core.md"}}),{c(){T=d("meta"),Se=o(),ze=d("p"),Ve=o(),y=d("a"),Ue=o(),n($.$$.fragment),Ge=o(),x=d("p"),x.textContent=Ul,Fe=o(),_=d("p"),_.textContent=Gl,Je=o(),g=d("ul"),g.innerHTML=Fl,Qe=o(),We=d("hr"),Xe=o(),H=d("a"),Ye=o(),n(L.$$.fragment),Ze=o(),C=d("p"),C.textContent=Jl,et=o(),M=d("p"),M.innerHTML=Ql,tt=o(),P=d("table"),P.innerHTML=Wl,lt=o(),it=d("hr"),ot=o(),A=d("a"),rt=o(),n(w.$$.fragment),dt=o(),E=d("p"),E.textContent=Xl,st=o(),k=d("p"),k.innerHTML=Yl,ct=o(),j=d("table"),j.innerHTML=Zl,at=o(),ut=d("hr"),nt=o(),R=d("a"),pt=o(),n(D.$$.fragment),ft=o(),O=d("p"),O.textContent=ei,mt=o(),B=d("p"),B.innerHTML=ti,ht=o(),K=d("p"),K.innerHTML=li,bt=o(),I=d("table"),I.innerHTML=ii,vt=o(),Tt=d("hr"),yt=o(),N=d("a"),$t=o(),n(z.$$.fragment),xt=o(),q=d("p"),q.textContent=oi,_t=o(),S=d("p"),S.innerHTML=ri,gt=o(),V=d("table"),V.innerHTML=di,Ht=o(),Lt=d("hr"),Ct=o(),U=d("a"),Mt=o(),n(G.$$.fragment),Pt=o(),F=d("p"),F.textContent=si,At=o(),J=d("p"),J.innerHTML=ci,wt=o(),Q=d("table"),Q.innerHTML=ai,Et=o(),kt=d("hr"),jt=o(),W=d("a"),Rt=o(),n(X.$$.fragment),Dt=o(),Y=d("p"),Y.textContent=ui,Ot=o(),Z=d("p"),Z.innerHTML=ni,Bt=o(),ee=d("table"),ee.innerHTML=pi,Kt=o(),It=d("hr"),Nt=o(),te=d("a"),zt=o(),n(le.$$.fragment),qt=o(),ie=d("p"),ie.textContent=fi,St=o(),oe=d("p"),oe.innerHTML=mi,Vt=o(),re=d("ul"),re.innerHTML=hi,Ut=o(),de=d("table"),de.innerHTML=bi,Gt=o(),Ft=d("hr"),Jt=o(),se=d("a"),Qt=o(),n(ce.$$.fragment),Wt=o(),ae=d("p"),ae.innerHTML=vi,Xt=o(),ue=d("p"),ue.innerHTML=Ti,Yt=o(),ne=d("table"),ne.innerHTML=yi,Zt=o(),el=d("hr"),tl=o(),pe=d("a"),ll=o(),n(fe.$$.fragment),il=o(),me=d("p"),me.textContent=$i,ol=o(),he=d("p"),he.innerHTML=xi,rl=o(),be=d("table"),be.innerHTML=_i,dl=o(),sl=d("hr"),cl=o(),ve=d("a"),al=o(),n(Te.$$.fragment),ul=o(),ye=d("p"),ye.innerHTML=gi,nl=o(),$e=d("table"),$e.innerHTML=Hi,pl=o(),fl=d("hr"),ml=o(),xe=d("a"),hl=o(),n(_e.$$.fragment),bl=o(),ge=d("p"),ge.innerHTML=Li,vl=o(),He=d("p"),He.innerHTML=Ci,Tl=o(),Le=d("table"),Le.innerHTML=Mi,yl=o(),$l=d("hr"),xl=o(),Ce=d("a"),_l=o(),n(Me.$$.fragment),gl=o(),Pe=d("p"),Pe.innerHTML=Pi,Hl=o(),Ae=d("p"),Ae.innerHTML=Ai,Ll=o(),we=d("table"),we.innerHTML=wi,Cl=o(),Ml=d("hr"),Pl=o(),Ee=d("a"),Al=o(),n(ke.$$.fragment),wl=o(),je=d("p"),je.innerHTML=Ei,El=o(),Re=d("table"),Re.innerHTML=ki,kl=o(),jl=d("hr"),Rl=o(),De=d("a"),Dl=o(),n(Oe.$$.fragment),Ol=o(),Be=d("p"),Be.textContent=ji,Bl=o(),Ke=d("p"),Ke.innerHTML=Ri,Kl=o(),Ie=d("table"),Ie.innerHTML=Di,Il=o(),Nl=d("hr"),zl=o(),n(Ne.$$.fragment),ql=o(),qe=d("p"),this.h()},l(e){const t=zi("svelte-u9bgzb",document.head);T=s(t,"META",{name:!0,content:!0}),t.forEach(l),Se=r(e),ze=s(e,"P",{}),u(ze).forEach(l),Ve=r(e),y=s(e,"A",{id:!0,class:!0}),u(y).forEach(l),Ue=r(e),p($.$$.fragment,e),Ge=r(e),x=s(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-u71mwf"&&(x.textContent=Ul),Fe=r(e),_=s(e,"P",{"data-svelte-h":!0}),c(_)!=="svelte-1r3ntfo"&&(_.textContent=Gl),Je=r(e),g=s(e,"UL",{"data-svelte-h":!0}),c(g)!=="svelte-u1p7h2"&&(g.innerHTML=Fl),Qe=r(e),We=s(e,"HR",{}),Xe=r(e),H=s(e,"A",{id:!0,class:!0}),u(H).forEach(l),Ye=r(e),p(L.$$.fragment,e),Ze=r(e),C=s(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-dvlmk2"&&(C.textContent=Jl),et=r(e),M=s(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-14f6o7p"&&(M.innerHTML=Ql),tt=r(e),P=s(e,"TABLE",{"data-svelte-h":!0}),c(P)!=="svelte-8if77n"&&(P.innerHTML=Wl),lt=r(e),it=s(e,"HR",{}),ot=r(e),A=s(e,"A",{id:!0,class:!0}),u(A).forEach(l),rt=r(e),p(w.$$.fragment,e),dt=r(e),E=s(e,"P",{"data-svelte-h":!0}),c(E)!=="svelte-14ro5y0"&&(E.textContent=Xl),st=r(e),k=s(e,"P",{"data-svelte-h":!0}),c(k)!=="svelte-nstyrr"&&(k.innerHTML=Yl),ct=r(e),j=s(e,"TABLE",{"data-svelte-h":!0}),c(j)!=="svelte-1h5d263"&&(j.innerHTML=Zl),at=r(e),ut=s(e,"HR",{}),nt=r(e),R=s(e,"A",{id:!0,class:!0}),u(R).forEach(l),pt=r(e),p(D.$$.fragment,e),ft=r(e),O=s(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-1oclrgb"&&(O.textContent=ei),mt=r(e),B=s(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-1uuf78s"&&(B.innerHTML=ti),ht=r(e),K=s(e,"P",{"data-svelte-h":!0}),c(K)!=="svelte-pr567i"&&(K.innerHTML=li),bt=r(e),I=s(e,"TABLE",{"data-svelte-h":!0}),c(I)!=="svelte-cdg32t"&&(I.innerHTML=ii),vt=r(e),Tt=s(e,"HR",{}),yt=r(e),N=s(e,"A",{id:!0,class:!0}),u(N).forEach(l),$t=r(e),p(z.$$.fragment,e),xt=r(e),q=s(e,"P",{"data-svelte-h":!0}),c(q)!=="svelte-1ityjuy"&&(q.textContent=oi),_t=r(e),S=s(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1n9m385"&&(S.innerHTML=ri),gt=r(e),V=s(e,"TABLE",{"data-svelte-h":!0}),c(V)!=="svelte-6n2d7i"&&(V.innerHTML=di),Ht=r(e),Lt=s(e,"HR",{}),Ct=r(e),U=s(e,"A",{id:!0,class:!0}),u(U).forEach(l),Mt=r(e),p(G.$$.fragment,e),Pt=r(e),F=s(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-1j46lct"&&(F.textContent=si),At=r(e),J=s(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-7bsiqc"&&(J.innerHTML=ci),wt=r(e),Q=s(e,"TABLE",{"data-svelte-h":!0}),c(Q)!=="svelte-6n2d7i"&&(Q.innerHTML=ai),Et=r(e),kt=s(e,"HR",{}),jt=r(e),W=s(e,"A",{id:!0,class:!0}),u(W).forEach(l),Rt=r(e),p(X.$$.fragment,e),Dt=r(e),Y=s(e,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-1p78ixx"&&(Y.textContent=ui),Ot=r(e),Z=s(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-15dw4oc"&&(Z.innerHTML=ni),Bt=r(e),ee=s(e,"TABLE",{"data-svelte-h":!0}),c(ee)!=="svelte-1bdqiim"&&(ee.innerHTML=pi),Kt=r(e),It=s(e,"HR",{}),Nt=r(e),te=s(e,"A",{id:!0,class:!0}),u(te).forEach(l),zt=r(e),p(le.$$.fragment,e),qt=r(e),ie=s(e,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-1m1a0x7"&&(ie.textContent=fi),St=r(e),oe=s(e,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-1dwq64m"&&(oe.innerHTML=mi),Vt=r(e),re=s(e,"UL",{"data-svelte-h":!0}),c(re)!=="svelte-n4a723"&&(re.innerHTML=hi),Ut=r(e),de=s(e,"TABLE",{"data-svelte-h":!0}),c(de)!=="svelte-j5xxk1"&&(de.innerHTML=bi),Gt=r(e),Ft=s(e,"HR",{}),Jt=r(e),se=s(e,"A",{id:!0,class:!0}),u(se).forEach(l),Qt=r(e),p(ce.$$.fragment,e),Wt=r(e),ae=s(e,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-kvbp1p"&&(ae.innerHTML=vi),Xt=r(e),ue=s(e,"P",{"data-svelte-h":!0}),c(ue)!=="svelte-1ydcymw"&&(ue.innerHTML=Ti),Yt=r(e),ne=s(e,"TABLE",{"data-svelte-h":!0}),c(ne)!=="svelte-stz7tp"&&(ne.innerHTML=yi),Zt=r(e),el=s(e,"HR",{}),tl=r(e),pe=s(e,"A",{id:!0,class:!0}),u(pe).forEach(l),ll=r(e),p(fe.$$.fragment,e),il=r(e),me=s(e,"P",{"data-svelte-h":!0}),c(me)!=="svelte-1m1ncmy"&&(me.textContent=$i),ol=r(e),he=s(e,"P",{"data-svelte-h":!0}),c(he)!=="svelte-vsw9ui"&&(he.innerHTML=xi),rl=r(e),be=s(e,"TABLE",{"data-svelte-h":!0}),c(be)!=="svelte-xzg366"&&(be.innerHTML=_i),dl=r(e),sl=s(e,"HR",{}),cl=r(e),ve=s(e,"A",{id:!0,class:!0}),u(ve).forEach(l),al=r(e),p(Te.$$.fragment,e),ul=r(e),ye=s(e,"P",{"data-svelte-h":!0}),c(ye)!=="svelte-zerxn5"&&(ye.innerHTML=gi),nl=r(e),$e=s(e,"TABLE",{"data-svelte-h":!0}),c($e)!=="svelte-18944ut"&&($e.innerHTML=Hi),pl=r(e),fl=s(e,"HR",{}),ml=r(e),xe=s(e,"A",{id:!0,class:!0}),u(xe).forEach(l),hl=r(e),p(_e.$$.fragment,e),bl=r(e),ge=s(e,"P",{"data-svelte-h":!0}),c(ge)!=="svelte-vao8dt"&&(ge.innerHTML=Li),vl=r(e),He=s(e,"P",{"data-svelte-h":!0}),c(He)!=="svelte-1to55la"&&(He.innerHTML=Ci),Tl=r(e),Le=s(e,"TABLE",{"data-svelte-h":!0}),c(Le)!=="svelte-5bfh4"&&(Le.innerHTML=Mi),yl=r(e),$l=s(e,"HR",{}),xl=r(e),Ce=s(e,"A",{id:!0,class:!0}),u(Ce).forEach(l),_l=r(e),p(Me.$$.fragment,e),gl=r(e),Pe=s(e,"P",{"data-svelte-h":!0}),c(Pe)!=="svelte-uuvf6z"&&(Pe.innerHTML=Pi),Hl=r(e),Ae=s(e,"P",{"data-svelte-h":!0}),c(Ae)!=="svelte-zerxn5"&&(Ae.innerHTML=Ai),Ll=r(e),we=s(e,"TABLE",{"data-svelte-h":!0}),c(we)!=="svelte-nqrul8"&&(we.innerHTML=wi),Cl=r(e),Ml=s(e,"HR",{}),Pl=r(e),Ee=s(e,"A",{id:!0,class:!0}),u(Ee).forEach(l),Al=r(e),p(ke.$$.fragment,e),wl=r(e),je=s(e,"P",{"data-svelte-h":!0}),c(je)!=="svelte-4ugn5b"&&(je.innerHTML=Ei),El=r(e),Re=s(e,"TABLE",{"data-svelte-h":!0}),c(Re)!=="svelte-1exuh0m"&&(Re.innerHTML=ki),kl=r(e),jl=s(e,"HR",{}),Rl=r(e),De=s(e,"A",{id:!0,class:!0}),u(De).forEach(l),Dl=r(e),p(Oe.$$.fragment,e),Ol=r(e),Be=s(e,"P",{"data-svelte-h":!0}),c(Be)!=="svelte-3cbgzb"&&(Be.textContent=ji),Bl=r(e),Ke=s(e,"P",{"data-svelte-h":!0}),c(Ke)!=="svelte-17rxdax"&&(Ke.innerHTML=Ri),Kl=r(e),Ie=s(e,"TABLE",{"data-svelte-h":!0}),c(Ie)!=="svelte-180ypss"&&(Ie.innerHTML=Di),Il=r(e),Nl=s(e,"HR",{}),zl=r(e),p(Ne.$$.fragment,e),ql=r(e),qe=s(e,"P",{}),u(qe).forEach(l),this.h()},h(){a(T,"name","hf:doc:metadata"),a(T,"content",Ui),a(y,"id","module_utils/core"),a(y,"class","group"),a(H,"id","module_utils/core.reverseDictionary"),a(H,"class","group"),a(A,"id","module_utils/core.escapeRegExp"),a(A,"class","group"),a(R,"id","module_utils/core.isTypedArray"),a(R,"class","group"),a(N,"id","module_utils/core.isIntegralNumber"),a(N,"class","group"),a(U,"id","module_utils/core.isNullishDimension"),a(U,"class","group"),a(W,"id","module_utils/core.calculateDimensions"),a(W,"class","group"),a(te,"id","module_utils/core.pop"),a(te,"class","group"),a(se,"id","module_utils/core.mergeArrays"),a(se,"class","group"),a(pe,"id","module_utils/core.calculateReflectOffset"),a(pe,"class","group"),a(ve,"id","module_utils/core.pick"),a(ve,"class","group"),a(xe,"id","module_utils/core.len"),a(xe,"class","group"),a(Ce,"id","module_utils/core.count"),a(Ce,"class","group"),a(Ee,"id","module_utils/core..ProgressInfo"),a(Ee,"class","group"),a(De,"id","module_utils/core..ProgressCallback"),a(De,"class","group")},m(e,t){qi(document.head,T),i(e,Se,t),i(e,ze,t),i(e,Ve,t),i(e,y,t),i(e,Ue,t),f($,e,t),i(e,Ge,t),i(e,x,t),i(e,Fe,t),i(e,_,t),i(e,Je,t),i(e,g,t),i(e,Qe,t),i(e,We,t),i(e,Xe,t),i(e,H,t),i(e,Ye,t),f(L,e,t),i(e,Ze,t),i(e,C,t),i(e,et,t),i(e,M,t),i(e,tt,t),i(e,P,t),i(e,lt,t),i(e,it,t),i(e,ot,t),i(e,A,t),i(e,rt,t),f(w,e,t),i(e,dt,t),i(e,E,t),i(e,st,t),i(e,k,t),i(e,ct,t),i(e,j,t),i(e,at,t),i(e,ut,t),i(e,nt,t),i(e,R,t),i(e,pt,t),f(D,e,t),i(e,ft,t),i(e,O,t),i(e,mt,t),i(e,B,t),i(e,ht,t),i(e,K,t),i(e,bt,t),i(e,I,t),i(e,vt,t),i(e,Tt,t),i(e,yt,t),i(e,N,t),i(e,$t,t),f(z,e,t),i(e,xt,t),i(e,q,t),i(e,_t,t),i(e,S,t),i(e,gt,t),i(e,V,t),i(e,Ht,t),i(e,Lt,t),i(e,Ct,t),i(e,U,t),i(e,Mt,t),f(G,e,t),i(e,Pt,t),i(e,F,t),i(e,At,t),i(e,J,t),i(e,wt,t),i(e,Q,t),i(e,Et,t),i(e,kt,t),i(e,jt,t),i(e,W,t),i(e,Rt,t),f(X,e,t),i(e,Dt,t),i(e,Y,t),i(e,Ot,t),i(e,Z,t),i(e,Bt,t),i(e,ee,t),i(e,Kt,t),i(e,It,t),i(e,Nt,t),i(e,te,t),i(e,zt,t),f(le,e,t),i(e,qt,t),i(e,ie,t),i(e,St,t),i(e,oe,t),i(e,Vt,t),i(e,re,t),i(e,Ut,t),i(e,de,t),i(e,Gt,t),i(e,Ft,t),i(e,Jt,t),i(e,se,t),i(e,Qt,t),f(ce,e,t),i(e,Wt,t),i(e,ae,t),i(e,Xt,t),i(e,ue,t),i(e,Yt,t),i(e,ne,t),i(e,Zt,t),i(e,el,t),i(e,tl,t),i(e,pe,t),i(e,ll,t),f(fe,e,t),i(e,il,t),i(e,me,t),i(e,ol,t),i(e,he,t),i(e,rl,t),i(e,be,t),i(e,dl,t),i(e,sl,t),i(e,cl,t),i(e,ve,t),i(e,al,t),f(Te,e,t),i(e,ul,t),i(e,ye,t),i(e,nl,t),i(e,$e,t),i(e,pl,t),i(e,fl,t),i(e,ml,t),i(e,xe,t),i(e,hl,t),f(_e,e,t),i(e,bl,t),i(e,ge,t),i(e,vl,t),i(e,He,t),i(e,Tl,t),i(e,Le,t),i(e,yl,t),i(e,$l,t),i(e,xl,t),i(e,Ce,t),i(e,_l,t),f(Me,e,t),i(e,gl,t),i(e,Pe,t),i(e,Hl,t),i(e,Ae,t),i(e,Ll,t),i(e,we,t),i(e,Cl,t),i(e,Ml,t),i(e,Pl,t),i(e,Ee,t),i(e,Al,t),f(ke,e,t),i(e,wl,t),i(e,je,t),i(e,El,t),i(e,Re,t),i(e,kl,t),i(e,jl,t),i(e,Rl,t),i(e,De,t),i(e,Dl,t),f(Oe,e,t),i(e,Ol,t),i(e,Be,t),i(e,Bl,t),i(e,Ke,t),i(e,Kl,t),i(e,Ie,t),i(e,Il,t),i(e,Nl,t),i(e,zl,t),f(Ne,e,t),i(e,ql,t),i(e,qe,t),Sl=!0},p:Bi,i(e){Sl||(m($.$$.fragment,e),m(L.$$.fragment,e),m(w.$$.fragment,e),m(D.$$.fragment,e),m(z.$$.fragment,e),m(G.$$.fragment,e),m(X.$$.fragment,e),m(le.$$.fragment,e),m(ce.$$.fragment,e),m(fe.$$.fragment,e),m(Te.$$.fragment,e),m(_e.$$.fragment,e),m(Me.$$.fragment,e),m(ke.$$.fragment,e),m(Oe.$$.fragment,e),m(Ne.$$.fragment,e),Sl=!0)},o(e){h($.$$.fragment,e),h(L.$$.fragment,e),h(w.$$.fragment,e),h(D.$$.fragment,e),h(z.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(le.$$.fragment,e),h(ce.$$.fragment,e),h(fe.$$.fragment,e),h(Te.$$.fragment,e),h(_e.$$.fragment,e),h(Me.$$.fragment,e),h(ke.$$.fragment,e),h(Oe.$$.fragment,e),h(Ne.$$.fragment,e),Sl=!1},d(e){e&&(l(Se),l(ze),l(Ve),l(y),l(Ue),l(Ge),l(x),l(Fe),l(_),l(Je),l(g),l(Qe),l(We),l(Xe),l(H),l(Ye),l(Ze),l(C),l(et),l(M),l(tt),l(P),l(lt),l(it),l(ot),l(A),l(rt),l(dt),l(E),l(st),l(k),l(ct),l(j),l(at),l(ut),l(nt),l(R),l(pt),l(ft),l(O),l(mt),l(B),l(ht),l(K),l(bt),l(I),l(vt),l(Tt),l(yt),l(N),l($t),l(xt),l(q),l(_t),l(S),l(gt),l(V),l(Ht),l(Lt),l(Ct),l(U),l(Mt),l(Pt),l(F),l(At),l(J),l(wt),l(Q),l(Et),l(kt),l(jt),l(W),l(Rt),l(Dt),l(Y),l(Ot),l(Z),l(Bt),l(ee),l(Kt),l(It),l(Nt),l(te),l(zt),l(qt),l(ie),l(St),l(oe),l(Vt),l(re),l(Ut),l(de),l(Gt),l(Ft),l(Jt),l(se),l(Qt),l(Wt),l(ae),l(Xt),l(ue),l(Yt),l(ne),l(Zt),l(el),l(tl),l(pe),l(ll),l(il),l(me),l(ol),l(he),l(rl),l(be),l(dl),l(sl),l(cl),l(ve),l(al),l(ul),l(ye),l(nl),l($e),l(pl),l(fl),l(ml),l(xe),l(hl),l(bl),l(ge),l(vl),l(He),l(Tl),l(Le),l(yl),l($l),l(xl),l(Ce),l(_l),l(gl),l(Pe),l(Hl),l(Ae),l(Ll),l(we),l(Cl),l(Ml),l(Pl),l(Ee),l(Al),l(wl),l(je),l(El),l(Re),l(kl),l(jl),l(Rl),l(De),l(Dl),l(Ol),l(Be),l(Bl),l(Ke),l(Kl),l(Ie),l(Il),l(Nl),l(zl),l(ql),l(qe)),l(T),b($,e),b(L,e),b(w,e),b(D,e),b(z,e),b(G,e),b(X,e),b(le,e),b(ce,e),b(fe,e),b(Te,e),b(_e,e),b(Me,e),b(ke,e),b(Oe,e),b(Ne,e)}}}const Ui='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isNullishDimension(x) ⇒ <code> boolean </code>","local":"utilscoreisnullishdimensionx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.pick(o, props) ⇒ <code> Object </code>","local":"utilscorepicko-props--code-object-code","sections":[],"depth":2},{"title":"utils/core.len(s) ⇒ <code> number </code>","local":"utilscorelens--code-number-code","sections":[],"depth":2},{"title":"utils/core.count(arr, value)","local":"utilscorecountarr-value","sections":[],"depth":2},{"title":"utils/core~ProgressInfo : <code> Object </code>","local":"utilscoreprogressinfo--code-object-code","sections":[],"depth":2},{"title":"utils/core~ProgressCallback ⇒ <code> void </code>","local":"utilscoreprogresscallback--code-void-code","sections":[],"depth":2}],"depth":1}';function Gi(Vl){return Ki(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wi extends Ii{constructor(T){super(),Ni(this,T,Gi,Vi,Oi,{})}}export{Wi as component};
